Adjustments

POST/adjustments

Create an inventory adjustment

Required attributes

  • Name
    item_id
    Type
    integer
    Description
    The ID of the inventory item to adjust 1
  • Name
    warehouse_id
    Type
    integer
    Description
    The ID of the warehouse to adjust stock in 1
  • Name
    reason
    Type
    string
    Description
    The reason for the adjustment found
  • Name
    quantity
    Type
    integer
    Description
    The quantity to adjust (positive or negative, but not zero) 10

Optional attributes

  • Name
    notes
    Type
    string
    Description
    Optional notes for the adjustment
  • Name
    location_uuid
    Type
    string
    Description
    The UUID of the specific location within the warehouse to adjust stock in

Request

POST/adjustments
curl -X POST https://YOUR_DOMAIN/api/adjustments \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"item_id":"1","warehouse_id":"1","reason":"found","quantity":"10"}'
Loading response...